#include <fstream>
#include <iostream>
using namespace std;
int main(int argc, char* argv[])
{
	fstream f1, f2;
	bool f_not_equal = 0;
	char c1, c2;
	if (argc < 3) return 2;
	f1.open(argv[1], ios::in | ios::binary);
	f2.open(argv[2], ios::in | ios::binary);
	if (f1.fail() || f2.fail()) return 3;
	while(!f1.eof() && !f2.eof()) {
		f1.get(c1);
		f2.get(c2);
		if (c1 == '\r') f1.get(c1);
		if (c2 == '\r') f2.get(c2);
		if (c1 == ' ' && c2 == '\n') f1.get(c1);
		else if (c1 == '\n' && c2 == ' ') f2.get(c2);
		if (c1 != c2) {
			f_not_equal = 1;
			break;
		}
	}
	return f_not_equal;
}
